Get User

Get User
Get a specified user by id. If the id of a service account is specified instead, a simplified view of the service account is returned instead.

Get a specified user by id.

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/users/{userUrn}
COPY
Path Parameters
string
userUrn
Required

userUrn


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VcdUser of type(s) application/json;version=9.1.0
{
    "username": "string",
    "givenName": "string",
    "familyName": "string",
    "fullName": "string",
    "description": "string",
    "id": "string",
    "roleEntityRefs": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "effectiveRoleEntityRefs": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "orgEntityRef": {
        "name": "string",
        "id": "string"
    },
    "password": "string",
    "email": "string",
    "nameInSource": "string",
    "enabled": false,
    "inheritGroupRoles": false,
    "providerType": "string",
    "locked": false,
    "stranded": false,
    "phone": "string",
    "domain": "string",
    "managerEntityRef": {
        "name": "string",
        "id": "string"
    }
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"},{"type":"Classic"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/users/{userUrn}